Skip to main content
`Ctrl`+`K`
scipy.interpolate.KroghInterpolator.

# derivative

KroghInterpolator.derivative(x, der=1)

  Evaluate a single derivative of the polynomial at the point x.

  Parameters:
    x array_like

      Point or points at which to evaluate the derivatives

    der integer, optional

      Which derivative to evaluate (default: first derivative). This number includes the function value as 0th derivative.

  Returns:
    d ndarray

      Derivative interpolated at the x-points. Shape of d is determined by replacing the interpolation axis in the original array with the shape of x.

  Notes

  This may be computed by evaluating all derivatives up to the desired one (using self.derivatives()) and then discarding the rest.